package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkCouponTemplateUpdateRequest struct {
	/*
	   请求     */
	ParamCouponTemplateOperateRequest *domain.AlibabaWdkCouponTemplateUpdateCouponTemplateOperateRequest `json:"param_coupon_template_operate_request,omitempty" required:"false" `
}

func (s *AlibabaWdkCouponTemplateUpdateRequest) SetParamCouponTemplateOperateRequest(v domain.AlibabaWdkCouponTemplateUpdateCouponTemplateOperateRequest) *AlibabaWdkCouponTemplateUpdateRequest {
	s.ParamCouponTemplateOperateRequest = &v
	return s
}

func (req *AlibabaWdkCouponTemplateUpdateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ParamCouponTemplateOperateRequest != nil {
		paramMap["param_coupon_template_operate_request"] = util.ConvertStruct(*req.ParamCouponTemplateOperateRequest)
	}
	return paramMap
}

func (req *AlibabaWdkCouponTemplateUpdateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
